Index: code/branches/lastmanstanding/data/overlays/dynamicmatchhud.oxo
===================================================================
--- code/branches/lastmanstanding/data/overlays/dynamicmatchhud.oxo	(revision 7582)
+++ code/branches/lastmanstanding/data/overlays/dynamicmatchhud.oxo	(revision 7583)
@@ -16,5 +16,5 @@
      position = "0.5, 0.05"
      font     = "VeraMono"
-     textsize = 0.033
+     textsize = 0.04
      colour   = "1.0, 1.0, 0.5, 1.0"
      align    = "center"
Index: code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.cc
===================================================================
--- code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.cc	(revision 7582)
+++ code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.cc	(revision 7583)
@@ -40,5 +40,5 @@
     CreateUnloadableFactory(LastManStanding);
 
-    LastManStanding::LastManStanding(BaseObject* creator) : Gametype(creator)
+    LastManStanding::LastManStanding(BaseObject* creator) : Deathmatch(creator)
     {
         RegisterObject(LastManStanding);
@@ -74,5 +74,4 @@
             this->timeToAct_[originator->getPlayer()]=timeRemaining;
         }
-
         return true;
     }
@@ -93,13 +92,4 @@
     }
 
-    void LastManStanding::start()
-    {
-        Gametype::start();
-
-        std::string message("Try to survive!");
-        COUT(0) << message << std::endl;
-        Host::Broadcast(message);
-    }
-
     void LastManStanding::end()
     {
@@ -122,12 +112,9 @@
         if (!player)// only for safety
             return;
-        Gametype::playerEntered(player);
+        Deathmatch::playerEntered(player);
 
         playerLives_[player]=lives;
         this->playersAlive++;
         this->timeToAct_[player]=timeRemaining;
-        const std::string& message = player->getName() + " entered the game";
-        COUT(0) << message << std::endl;
-        Host::Broadcast(message);
         //Update: EachPlayer's "Players in Game"-HUD
         for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
@@ -138,19 +125,13 @@
             this->gtinfo_->sendStaticMessage(message1,it->first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
         }
-        
     }
 
     bool LastManStanding::playerLeft(PlayerInfo* player)
     {
-        bool valid_player = Gametype::playerLeft(player);
-
+        bool valid_player = Deathmatch::playerLeft(player);
         if (valid_player)
         {
             this->playersAlive--;
             //this->playerLives_[player].erase (player); not necessary?
-            //
-            const std::string& message = player->getName() + " left the game";
-            COUT(0) << message << std::endl;
-            Host::Broadcast(message);
             //Update: EachPlayer's "Players in Game"-HUD
             for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
@@ -166,18 +147,4 @@
     }
 
-    bool LastManStanding::playerChangedName(PlayerInfo* player)
-    {
-        bool valid_player = Gametype::playerChangedName(player);
-
-        if (valid_player)
-        {
-            const std::string& message = player->getOldName() + " changed name to " + player->getName();
-            COUT(0) << message << std::endl;
-            Host::Broadcast(message);
-        }
-
-        return valid_player;
-    }
-
     void LastManStanding::playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn)
     {
@@ -190,5 +157,4 @@
             const std::string& message = "Your Lives: " +multi_cast<std::string>(playerLives_[player]);
             this->gtinfo_->sendFadingMessage(message,it2->first->getClientID());
-
         }
     }
@@ -204,27 +170,4 @@
             this->gtinfo_->sendStaticMessage(message1,it->first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
         }
-    
-    }
-
-    void LastManStanding::pawnKilled(Pawn* victim, Pawn* killer)
-    {
-        if (victim && victim->getPlayer())
-        {
-            std::string message;
-            if (killer)
-            {
-                if (killer->getPlayer())
-                    message = victim->getPlayer()->getName() + " was killed by " + killer->getPlayer()->getName();
-                else
-                    message = victim->getPlayer()->getName() + " was killed";
-            }
-            else
-                message = victim->getPlayer()->getName() + " died";
-
-            COUT(0) << message << std::endl;
-            Host::Broadcast(message);
-        }
-
-        Gametype::pawnKilled(victim, killer);
     }
 
Index: code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.h
===================================================================
--- code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.h	(revision 7582)
+++ code/branches/lastmanstanding/src/orxonox/gametypes/LastManStanding.h	(revision 7583)
@@ -35,5 +35,5 @@
 
 #include "OrxonoxPrereqs.h"
-#include "Gametype.h"
+#include "Deathmatch.h"
 #include <map>
 #include <vector>
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport LastManStanding : public Gametype
+    class _OrxonoxExport LastManStanding : public Deathmatch
     {
     /**
@@ -65,12 +65,9 @@
             virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0); //!< Manages each players lives.
 
-            virtual void start(); //!< Sends a start message.
             virtual void end(); //!< Sends an end message.
             virtual void playerEntered(PlayerInfo* player); //!< Initializes values. Manages the gametype's HUD. #Players alive via StaticMessage.
             virtual bool playerLeft(PlayerInfo* player); //!< Manages the gametype's HUD. #Players alive via StaticMessage.
-            virtual bool playerChangedName(PlayerInfo* player);
             virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn); //!< Manages the gametype's HUD. player's lives via FadingMessage.
             virtual void playerStopsControllingPawn(PlayerInfo* player, Pawn* pawn);  //!< Manages the gametype's HUD. #Players alive via StaticMessage.
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = 0);
 
             const int playerGetLives(PlayerInfo* player); //!< getFunction for the map "playerLives_".
